package com.brilliance.isc.swift.objmtconvert.model.mt4xx.tag.tag416;

import com.brilliance.isc.swift.objmtconvert.model.AbsMTCreator;
import com.brilliance.isc.swift.objmtconvert.model.AbsTagCreate;
import com.brilliance.isc.swift.objmtconvert.model.mt4xx.mt4XXAbsCreator.MT416AbsCreator;

public class Tag21ACreator extends AbsTagCreate {

    private MT416AbsCreator mt416SequenceBCreator;

    public Tag21ACreator(AbsMTCreator absMTCreator) {
        super(absMTCreator);
        this.mt416SequenceBCreator= (MT416AbsCreator) absMTCreator;
    }

    public void creator() {
        String tag21Value = mt416SequenceBCreator.getRelatedSeqRef();
        mt416SequenceBCreator.set("21A", tag21Value);
    }
}
